# Generated by Django 3.0.6 on 2020-05-11 08:56

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Sms',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(max_length=4, verbose_name='Код')),
                ('phone', models.CharField(max_length=15, unique=True, verbose_name='Мобильный номер')),
                ('cdate', models.DateTimeField(default=django.utils.timezone.now)),
            ],
            options={
                'verbose_name': 'СМС код',
                'verbose_name_plural': 'СМС коды',
                'ordering': ['-cdate'],
            },
        ),
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=40, verbose_name='Имя')),
                ('last_name', models.CharField(max_length=40, verbose_name='Фамилия')),
                ('school', models.CharField(max_length=255, verbose_name='Школа')),
                ('info', models.CharField(max_length=255, verbose_name='О себе')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Пользователь')),
            ],
            options={
                'verbose_name': 'Профили пользователей',
                'verbose_name_plural': 'Профиль пользователя',
                'ordering': ['user'],
            },
        ),
    ]
